---
title: '::-webkit-progress-value'
slug: 'Web/CSS/::-webkit-progress-value'
tags:
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-progress-value</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> represents the filled-in portion of the bar of a {{HTMLElement("progress")}} element. It is a child of the {{cssxref("::-webkit-progress-bar")}} pseudo-element.</p>

<div class="note">
<p><strong>Note:</strong> In order to let <code>::-webkit-progress-value</code> take effect, {{cssxref("-webkit-appearance")}} needs to be set to <code>none</code> on the <code>&lt;progress&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-progress-value</pre>

<h2 id="Examples">Examples</h2>

<p>This example will only work in browsers based on Blink or WebKit.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;progress value="10" max="50"&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">progress {
  -webkit-appearance: none;
}

::-webkit-progress-value {
  background-color: orange;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 200, 50)}}</p>

<h3 id="Result_screenshot">Result screenshot</h3>

<p>A progress bar using the style above would look like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13490/progress-value.png" style="height: 60px; width: 249px;"></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-progress-value")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The pseudo-elements used by WebKit/Blink to style other parts of a {{HTMLElement("progress")}} element:
  <ul>
   <li>{{ cssxref("::-webkit-progress-bar") }}</li>
   <li>{{ cssxref("::-webkit-progress-inner-element") }}</li>
  </ul>
 </li>
 <li>{{ cssxref("::-moz-progress-bar") }}</li>
 <li>{{ cssxref("::-ms-fill") }}</li>
</ul>
